Support » Plugin: Event List » Upgrade script doesn’t work

  • I upgraded the plugin from 0.7.12 to 0.8.3.

    After this, all my events had disappeared.

    When I looked in the PHP log, I got the following lines:

    [20-Jun-2018 12:17:29 UTC] EL_UPGRADE: Maximum script execution time: 120 seconds
    [20-Jun-2018 12:17:29 UTC] EL_UPGRADE: Added option “el_upgr_in_progress” with value “1529497049”
    [20-Jun-2018 12:17:29 UTC] EL_UPGRADE: Added option “el_last_upgr_version” with value “0.8.3”
    [20-Jun-2018 12:17:29 UTC] EL_UPGRADE: New install -> no upgrade required

    I appear to have solved the problem by going into the database and change the value for the option el_last_upgr_version from “0.8.3” to “0.7.12”. My idea was to roll back the actual plug-in after, but changing the database value (and presumably clicking around a bit on the site) appeared to be enough.

    I don’t what caused this. Maybe the upgrade script assumes people will upgrade to 0.8.0 first, maybe the fact that one event caused an SQL error (an encoding issue? I guess) was the culprit.

    Anyway, everything seems to be in order now, but I thought you might like to know.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author mibuthu

    (@mibuthu)

    Some others had the same issue.

    There should be an upgrade.log file in the plugin directory after the upgrade. Can you please provide this file here for information?

    The logs, both on production and on my development server, only show the successful upgrades, not the initial failed upgrade.

    I have deleted some entries from the log below after visually checking that they all said ‘successfully imported’, to keep the log readable (I have 140+ events). Deletions are indicated by […].

    [2018-06-20 12:32:09] Set event category taxonomy to “el_eventcategory” (according existing option “el_sync_cats” = “false”)
    [2018-06-20 12:32:09] Event category “X Header” successfully imported
    [2018-06-20 12:32:09] Event category “Workshop” successfully imported
    [2018-06-20 12:32:09] Event category “Tournament” successfully imported
    […]
    [2018-06-20 12:32:09] Event “Queens of PoP (A Team) – Arnhem Fallen Angels” successfully imported
    [2018-06-20 12:32:09] Event “Live Roller Derby in Groningen” successfully imported
    [2018-06-20 12:32:09] Event “Eastside Rock’nRollers vs Switchblade RollerGrrrls” successfully imported
    [2018-06-20 12:32:10] Event “Halloween scrimmage” successfully imported
    [2018-06-20 12:32:10] Event “Aggressive Quad Skating” successfully imported
    […]
    [2018-06-20 12:32:14] Deleting option “el_db_version” is not required: option is not set
    [2018-06-20 12:32:14] Renaming of option “el_show_details_text” to “el_content_show_text” is not required: old option name “el_show_details_text” is not set (default value is used)
    [2018-06-20 12:32:14] Renaming of option “el_hide_details_text” to “el_content_hide_text” is not required: old option name “el_hide_details_text” is not set (default value is used)
    [2018-06-20 12:32:14] Renaming of option “el_sync_cats” to “el_use_post_cats” is not required: old option name “el_sync_cats” is not set (default value is used)
    [2018-06-20 12:32:14] Updated option “el_last_upgr_version” to value “0.8.3”

    • This reply was modified 1 year, 3 months ago by  hatesspam.
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Upgrade script doesn’t work’ is closed to new replies.